# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global perl_version %(eval "`perl -V:version`"; echo $version)
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We don't really need ExtUtils::MakeMaker > 6.31
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.31 ? 1 : 0;' 2>/dev/null || echo 0)

Name:		perl-DateTime-Format-Strptime
Version:	1.5000
Release:	3.%{__distinit}%{__distvers}
Summary:	Parse and format strp and strf time patterns
License:	Artistic 2.0
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/DateTime-Format-Strptime/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-Strptime-%{version}.tar.gz
Patch0:		perl-DateTime-Format-Strptime-1.1000-006_locales.patch
Patch1:		perl-DateTime-Format-Strptime-1.5000-stopwords.patch
Patch2:		perl-DateTime-Format-Strptime-1.4000-old-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(DateTime) >= 0.44
BuildRequires:	perl(DateTime::Locale) >= 0.45
BuildRequires:	perl(DateTime::TimeZone) >= 0.79
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Params::Validate) >= 0.64
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
# Test::Spelling not available prior to FC-1 and Perl 5.8.1
%if %(perl -e 'print (($] >= 5.008001) ? 1 : 0);')
BuildRequires:	perl(Test::Spelling), aspell-en
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(DateTime::Locale) >= 0.45

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and
returns the DateTime object associated.

%prep
%setup -q -n DateTime-Format-Strptime-%{version}

# Some locales (month names) broken in RH Perl 5.8.0
%if %(perl -e 'print (($] < 5.008001) ? 1 : 0);')
%patch0 -p0
%endif

# Additional words to ignore for spell checker
%patch1 -p1

# We don't really need ExtUtils::MakeMaker > 6.31
%if %{old_eumm}
%patch2 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
# Full locale test fails on 5.8.0
%if %(perl -e 'print (($] < 5.008001) ? 1 : 0);')
make test RELEASE_TESTING=1
%else
make test AUTHOR_TESTING=1 RELEASE_TESTING=1
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Format::Strptime.3pm*

%changelog
* Wed Mar 23 2011 Paul Howarth <paul@city-fan.org> 1.5000-3
- Test::Kwalitee now available universally
- Nobody else likes macros for commands

* Tue Mar 22 2011 Paul Howarth <paul@city-fan.org> 1.5000-2
- Test::Kwalitee now available down to F-1

* Mon Oct 18 2010 Paul Howarth <paul@city-fan.org> 1.5000-1
- Update to 1.5000
  - Module did not recognize UTC as a valid time zone (CPAN RT#59209)
- Update spelling patch
- BR: Test::Kwalitee where available (from F-9)

* Tue Jun 29 2010 Paul Howarth <paul@city-fan.org> 1.4000-1
- Update to 1.4000 (actually update $VERSION in module file)
- Update patch for building with ExtUtils::MakeMaker < 6.31
- Update spelling patch

* Mon Jun 28 2010 Paul Howarth <paul@city-fan.org> 1.3000-1
- Update to 1.3000 (specifiers such as %%e that allowed for leading space before
  a number would cause DateTime.pm to throw an error if the date being parsed
  actually contained leading space [CPAN RT#58459])
- Enable AUTHOR_TESTING and RELEASE_TESTING
- BR: Test::EOL, Test::NoTabs, Test::Pod, Test::Pod::Coverage, Test::Spelling
- Add patch for building with ExtUtils::MakeMaker < 6.31
- Add patch to fix spell check test
- License changed to Artistic 2.0

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.2000-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> 1.2000-2
- Fix dist tag for RHEL-6 Beta

* Sun Mar 21 2010 Paul Howarth <paul@city-fan.org> 1.2000-1
- Update to 1.2000 (updated to use non-deprecated DateTime::Locale API)
- This release by DROLSKY -> update source URL
- Bump required perl(DateTime::Locale) version to 0.45 and add runtime dep too
- Upstream dropped "test_more" tests - probably due to error by new maintainer

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> 1.1000-1
- Import from Fedora
- Update to 1.1000
- Drop locale patch, issue addressed upstream
- Add new patch for 006_locales test in Perl 5.8.0 - some locales broken
- Bump dependency versions
- Run additional tests

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 1.0800-4
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.0800-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.0800-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug 29 2008 Steven Pritchard <steve@kspei.com> 1.0800-1
- Update to 1.0800
- Update versions on build dependencies

* Tue Jul 08 2008 Steven Pritchard <steve@kspei.com> 1.0702-3
- Patch t/004_locale_defaults.t to work around change in DateTime::Locale

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0702-2
- Rebuild for new perl

* Thu Jan 03 2008 Steven Pritchard <steve@kspei.com> 1.0702-1
- Update to 1.0702
- Drop charset patch
- Update License tag
- BR Test::More

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 1.0700-3
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 1.0700-2
- Fix find option order

* Mon Jul 03 2006 Steven Pritchard <steve@kspei.com> 1.0700-1
- Specfile autogenerated by cpanspec 1.66
- Fix License
- Remove versioned DateTime deps (0.1402 > 0.30 according to rpm)
- Remove versioned explicit dependencies that rpmbuild picks up
- Substitute literal "©" for E<169> in pod documentation (the result
  should be the same, but apparently the man page conversion is generating
  something that rpmlint doesn't like)
